package cz.muni.pv239.cv3.realm;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;

import io.realm.Realm;

public class MainActivity extends AppCompatActivity {

    EditText input;
    Button button;
    TodoAdapter adapter;
    ListView list;
    Realm realm;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Realm.init(this);

        realm = Realm.getDefaultInstance();

        input = (EditText) findViewById(R.id.input);
        button = (Button) findViewById(R.id.button);
        list = (ListView) findViewById(R.id.list);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                // TODO Vlozeni dat do Realmu
                // Uuid.randomUuid().toString();

                input.setText("");
            }
        });

        // TODO Ziskani dat z Realmu
        // adapter = new TodoAdapter(todos);


        list.setAdapter(adapter);
        list.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                Todo todo = adapter.getItem(i);

                // TODO Smazat prvek z Realmu
            }
        });
    }


    @Override
    protected void onDestroy() {
        super.onDestroy();
        realm.close();
    }
}
